Bug 989068 - Review Request: google-api-python-client - Google APIs Client Library for Python
Review Request: google-api-python-client - Google APIs Client Library for Python
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On: 989069 1205170 1228230
Blocks: 1228389
  Show dependency treegraph
 
Reported: 2013-07-27 05:57 EDT by Ankur Sinha (FranciscoD)
Modified: 2015-10-15 12:55 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 06:48:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
i: fedora‑review?


Attachments (Terms of Use)
Updated spec (2.76 KB, text/plain)
2015-06-07 12:20 EDT, Michele Baldessari
no flags Details

  None (edit)
Description Ankur Sinha (FranciscoD) 2013-07-27 05:57:46 EDT
Spec URL: http://ankursinha.fedorapeople.org/google-api-python-client/google-api-python-client.spec
SRPM URL: http://ankursinha.fedorapeople.org/google-api-python-client/google-api-python-client-1.1-1.fc20.src.rpm

Description: Written by Google, this library provides a small, flexible, and powerful Python client library for accessing Google APIs.


Fedora Account System Username: ankursinha
Comment 1 Christopher Meng 2013-07-27 06:10:30 EDT
Will review in Monday, is it ok for you?
Comment 2 Ankur Sinha (FranciscoD) 2013-07-27 21:25:14 EDT
Whenever you have the time works for me :)
Comment 3 Christopher Meng 2013-09-11 21:37:55 EDT
Ah really sorry, forgot to do this.

Please update to 1.2 first.
Comment 4 Christopher Meng 2013-11-08 09:04:52 EST
ping.
Comment 5 Ankur Sinha (FranciscoD) 2013-11-08 18:44:35 EST
Pushed dep to stable. Will update this asap.
Comment 6 Christopher Meng 2013-11-22 00:29:26 EST
dep resolved now?
Comment 7 Adam Goode 2013-12-15 20:49:05 EST
I don't see the 1.2 SRPM yet.
Comment 8 Christopher Meng 2014-07-28 22:20:48 EDT
Use pypi as source:

https://pypi.python.org/pypi/google-api-python-client

And the project has been moved to github.
Comment 9 Miroslav Suchý 2015-01-03 13:31:51 EST
Ping. Any progress on this?
Comment 10 Ankur Sinha (FranciscoD) 2015-01-06 09:15:02 EST
Not yet, will do this later this month when I'm back to work.
Comment 12 Michele Baldessari 2015-06-04 03:53:37 EDT
Hi Ankur,

could you update it to 1.4 please? An app I am packaging complains otherwise:
    from apiclient.discovery import build
  File "/usr/lib/python2.7/site-packages/apiclient/__init__.py", line 9, in <module>
    'Previous version of google-api-python-client detected; due to a '
RuntimeError: Previous version of google-api-python-client detected; due to a packaging issue, we cannot perform an in-place upgrade. To repair, remove and re
install this package, along with oauth2client and uritemplate. One can do this with pip via


Cheers,
Michele
Comment 13 Michele Baldessari 2015-06-04 03:57:11 EDT
Nevermind, ignore the above, brainfart on my part. Having 1.4 would still be nice though ;)

Christopher, are you going to pick up this review?
Comment 14 Michele Baldessari 2015-06-04 08:46:47 EDT
So after a bit more coffee...

The app I am packaging which uses this google-api-python-client package
does an "import apiclient" which has the following snippet:
try:
  import oauth2client
except ImportError:
  raise RuntimeError(
      'Previous version of google-api-python-client detected; due to a '
      'packaging issue, we cannot perform an in-place upgrade. To repair, '
      'remove and reinstall this package, along with oauth2client and '
      'uritemplate. One can do this with pip via\n'
      '  pip install -I google-api-python-client'
  )


Since we do not have this package in Fedora we error out.

Hence, I am adding the newly created BZ 1228230 as a dependency
Happy to swap reviews there.
Comment 15 Michele Baldessari 2015-06-07 12:20:57 EDT
Created attachment 1035974 [details]
Updated spec

Here is an updated spec with the following changelog:
%changelog
* Sun Jun 07 2015 Michele Baldessari <michele@acksyn.org> - 1.4.0-1
- Update to latest version
- Add python3 package
- Tag LICENSE with appropriate macro


I kind of prefer the name python-google-api-client so the package for python 3
is called python3-google-api-client, like most other packages (instead of
google-api-python3-client)
Comment 16 Michele Baldessari 2015-06-07 12:21:50 EDT
Note that for the python3 package to work we need BZ 1205170 fixed as well
Comment 17 Ankur Sinha (FranciscoD) 2015-06-16 08:28:43 EDT
Hi Michael,

I don't need the package any more. Would you like to take over the review and maintain it? :)

Cheers,
Ankur
Comment 18 Michele Baldessari 2015-06-16 10:02:59 EDT
Hi Ankur,

thanks for getting back ;) Sure thing I can chown this package and find a reviewer. Are you uninterested in python-uri-templates as well (I ask due to BZ 1205170) or would you like a hand with that as well?

Cheers,
Michele
Comment 19 Ankur Sinha (FranciscoD) 2015-06-16 12:18:35 EDT
I don't remember why I was packaging them, so I guess I don't need them anymore. You can take them both if you'd like :)
Comment 20 Michele Baldessari 2015-06-19 05:27:03 EDT
Spec URL: http://acksyn.org/files/rpms/google-api-python-client/google-api-python-client.spec
SRPM URL: http://acksyn.org/files/rpms/google-api-python-client/google-api-python-client-1.4.0-1.fc22.src.rpm


Fedora Account System Username: mbaldessari

Note that the "Depends On" bugs need to be fixed before this package works correctly.
Comment 22 Michele Baldessari 2015-09-11 03:30:01 EDT
Resetting to default assignee since more than two months passed without feedback
Comment 23 Christopher Meng 2015-09-11 04:02:46 EDT
(In reply to Michele Baldessari from comment #21)
> Spec URL:
> http://acksyn.org/files/rpms/google-api-python-client/google-api-python-
> client.spec
> SRPM URL:
> http://acksyn.org/files/rpms/google-api-python-client/google-api-python-
> client-1.4.1-1.fc22.src.rpm
> 
> Christopher, are you still interested in reviewing this?

No, I was supposed to review Ankur's submission, but not yours.

If you intend to package it, don't reuse existing bug, open a new one and mark this as duplicated, the package however is insipid for me now.
Comment 24 Matthias Runge 2015-09-11 06:48:27 EDT
> > Christopher, are you still interested in reviewing this?
> 
> No, I was supposed to review Ankur's submission, but not yours.


No need to be rude here.

Michele, I'd be happy to review your package.

Unfortunately, you need to be the reporter of a package review and unfortunately, the reporter can not be changed. Thus you'd need to report a new bug. Feel free to assign me.
Comment 25 Paul Howarth 2015-10-15 04:47:04 EDT
Michele, did you submit a review request for your package?
Comment 26 Michele Baldessari 2015-10-15 06:01:01 EDT
Hi Paul,

no not yet, thanks for reminding me ;) I'll get to it today or tomorrow

cheers,
Michele
Comment 27 Paul Howarth 2015-10-15 07:11:28 EDT
By the way, your python3 package for uri-templates has its %description cut-and-pasted from oauth2client.
Comment 28 Michele Baldessari 2015-10-15 12:55:24 EDT
Thanks Paul, I've fixed that up. I submitted 1272187 for a new review. If you feel like reviewing that'd be grand. If not, I'll check if Matthias has some spare cycles.

cheers,
Michele

Note You need to log in before you can comment on or make changes to this bug.